Trisurf Monte Carlo simulator
Samo Penic
2012-06-07 074a178761daa61a419ef9c2f38f9cd7adc0cdc7
commit | author | age
824cfd 1 # Makefile.in generated by automake 1.11.3 from Makefile.am.
SP 2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6 # Foundation, Inc.
7 # This Makefile.in is free software; the Free Software Foundation
8 # gives unlimited permission to copy and/or distribute it,
9 # with or without modifications, as long as this notice is preserved.
10
11 # This program is distributed in the hope that it will be useful,
12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14 # PARTICULAR PURPOSE.
15
16 @SET_MAKE@
17 VPATH = @srcdir@
18 pkgdatadir = $(datadir)/@PACKAGE@
19 pkgincludedir = $(includedir)/@PACKAGE@
20 pkglibdir = $(libdir)/@PACKAGE@
21 pkglibexecdir = $(libexecdir)/@PACKAGE@
22 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
23 install_sh_DATA = $(install_sh) -c -m 644
24 install_sh_PROGRAM = $(install_sh) -c
25 install_sh_SCRIPT = $(install_sh) -c
26 INSTALL_HEADER = $(INSTALL_DATA)
27 transform = $(program_transform_name)
28 NORMAL_INSTALL = :
29 PRE_INSTALL = :
30 POST_INSTALL = :
31 NORMAL_UNINSTALL = :
32 PRE_UNINSTALL = :
33 POST_UNINSTALL = :
34 subdir = .
35 DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
36     $(srcdir)/Makefile.in $(srcdir)/config.h.in \
37     $(top_srcdir)/configure AUTHORS COPYING ChangeLog INSTALL NEWS \
38     depcomp install-sh missing
39 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
40 am__aclocal_m4_deps = $(top_srcdir)/configure.ac
41 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
42     $(ACLOCAL_M4)
43 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
44  configure.lineno config.status.lineno
45 mkinstalldirs = $(install_sh) -d
46 CONFIG_HEADER = config.h
47 CONFIG_CLEAN_FILES =
48 CONFIG_CLEAN_VPATH_FILES =
49 SOURCES =
50 DIST_SOURCES =
51 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
52     html-recursive info-recursive install-data-recursive \
53     install-dvi-recursive install-exec-recursive \
54     install-html-recursive install-info-recursive \
55     install-pdf-recursive install-ps-recursive install-recursive \
56     installcheck-recursive installdirs-recursive pdf-recursive \
57     ps-recursive uninstall-recursive
58 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive    \
59   distclean-recursive maintainer-clean-recursive
60 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
61     $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
62     distdir dist dist-all distcheck
63 ETAGS = etags
64 CTAGS = ctags
65 DIST_SUBDIRS = $(SUBDIRS)
66 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
67 distdir = $(PACKAGE)-$(VERSION)
68 top_distdir = $(distdir)
69 am__remove_distdir = \
70   if test -d "$(distdir)"; then \
71     find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
72       && rm -rf "$(distdir)" \
73       || { sleep 5 && rm -rf "$(distdir)"; }; \
74   else :; fi
75 am__relativize = \
76   dir0=`pwd`; \
77   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
78   sed_rest='s,^[^/]*/*,,'; \
79   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
80   sed_butlast='s,/*[^/]*$$,,'; \
81   while test -n "$$dir1"; do \
82     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
83     if test "$$first" != "."; then \
84       if test "$$first" = ".."; then \
85         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
86         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
87       else \
88         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
89         if test "$$first2" = "$$first"; then \
90           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
91         else \
92           dir2="../$$dir2"; \
93         fi; \
94         dir0="$$dir0"/"$$first"; \
95       fi; \
96     fi; \
97     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
98   done; \
99   reldir="$$dir2"
100 DIST_ARCHIVES = $(distdir).tar.gz
101 GZIP_ENV = --best
102 distuninstallcheck_listfiles = find . -type f -print
103 am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
104   | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
105 distcleancheck_listfiles = find . -type f -print
106 ACLOCAL = @ACLOCAL@
107 AMTAR = @AMTAR@
108 AUTOCONF = @AUTOCONF@
109 AUTOHEADER = @AUTOHEADER@
110 AUTOMAKE = @AUTOMAKE@
111 AWK = @AWK@
112 CC = @CC@
113 CCDEPMODE = @CCDEPMODE@
114 CFLAGS = @CFLAGS@
115 CPP = @CPP@
116 CPPFLAGS = @CPPFLAGS@
117 CYGPATH_W = @CYGPATH_W@
118 DEFS = @DEFS@
119 DEPDIR = @DEPDIR@
120 ECHO_C = @ECHO_C@
121 ECHO_N = @ECHO_N@
122 ECHO_T = @ECHO_T@
123 EGREP = @EGREP@
124 EXEEXT = @EXEEXT@
125 GREP = @GREP@
126 INSTALL = @INSTALL@
127 INSTALL_DATA = @INSTALL_DATA@
128 INSTALL_PROGRAM = @INSTALL_PROGRAM@
129 INSTALL_SCRIPT = @INSTALL_SCRIPT@
130 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
131 LDFLAGS = @LDFLAGS@
132 LIBOBJS = @LIBOBJS@
133 LIBS = @LIBS@
134 LTLIBOBJS = @LTLIBOBJS@
135 MAKEINFO = @MAKEINFO@
136 MKDIR_P = @MKDIR_P@
137 OBJEXT = @OBJEXT@
138 PACKAGE = @PACKAGE@
139 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
140 PACKAGE_NAME = @PACKAGE_NAME@
141 PACKAGE_STRING = @PACKAGE_STRING@
142 PACKAGE_TARNAME = @PACKAGE_TARNAME@
143 PACKAGE_URL = @PACKAGE_URL@
144 PACKAGE_VERSION = @PACKAGE_VERSION@
145 PATH_SEPARATOR = @PATH_SEPARATOR@
146 SET_MAKE = @SET_MAKE@
147 SHELL = @SHELL@
148 STRIP = @STRIP@
149 VERSION = @VERSION@
150 abs_builddir = @abs_builddir@
151 abs_srcdir = @abs_srcdir@
152 abs_top_builddir = @abs_top_builddir@
153 abs_top_srcdir = @abs_top_srcdir@
154 ac_ct_CC = @ac_ct_CC@
155 am__include = @am__include@
156 am__leading_dot = @am__leading_dot@
157 am__quote = @am__quote@
158 am__tar = @am__tar@
159 am__untar = @am__untar@
160 bindir = @bindir@
161 build_alias = @build_alias@
162 builddir = @builddir@
163 datadir = @datadir@
164 datarootdir = @datarootdir@
165 docdir = @docdir@
166 dvidir = @dvidir@
167 exec_prefix = @exec_prefix@
168 host_alias = @host_alias@
169 htmldir = @htmldir@
170 includedir = @includedir@
171 infodir = @infodir@
172 install_sh = @install_sh@
173 libdir = @libdir@
174 libexecdir = @libexecdir@
175 localedir = @localedir@
176 localstatedir = @localstatedir@
177 mandir = @mandir@
178 mkdir_p = @mkdir_p@
179 oldincludedir = @oldincludedir@
180 pdfdir = @pdfdir@
181 prefix = @prefix@
182 program_transform_name = @program_transform_name@
183 psdir = @psdir@
184 sbindir = @sbindir@
185 sharedstatedir = @sharedstatedir@
186 srcdir = @srcdir@
187 sysconfdir = @sysconfdir@
188 target_alias = @target_alias@
189 top_build_prefix = @top_build_prefix@
190 top_builddir = @top_builddir@
191 top_srcdir = @top_srcdir@
192 SUBDIRS = test src
193 all: config.h
194     $(MAKE) $(AM_MAKEFLAGS) all-recursive
195
196 .SUFFIXES:
197 am--refresh: Makefile
198     @:
199 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
200     @for dep in $?; do \
201       case '$(am__configure_deps)' in \
202         *$$dep*) \
203           echo ' cd $(srcdir) && $(AUTOMAKE) --gnu'; \
204           $(am__cd) $(srcdir) && $(AUTOMAKE) --gnu \
205         && exit 0; \
206           exit 1;; \
207       esac; \
208     done; \
209     echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu Makefile'; \
210     $(am__cd) $(top_srcdir) && \
211       $(AUTOMAKE) --gnu Makefile
212 .PRECIOUS: Makefile
213 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
214     @case '$?' in \
215       *config.status*) \
216         echo ' $(SHELL) ./config.status'; \
217         $(SHELL) ./config.status;; \
218       *) \
219         echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
220         cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
221     esac;
222
223 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
224     $(SHELL) ./config.status --recheck
225
226 $(top_srcdir)/configure:  $(am__configure_deps)
227     $(am__cd) $(srcdir) && $(AUTOCONF)
228 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
229     $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
230 $(am__aclocal_m4_deps):
231
232 config.h: stamp-h1
233     @if test ! -f $@; then rm -f stamp-h1; else :; fi
234     @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
235
236 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
237     @rm -f stamp-h1
238     cd $(top_builddir) && $(SHELL) ./config.status config.h
239 $(srcdir)/config.h.in:  $(am__configure_deps) 
240     ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
241     rm -f stamp-h1
242     touch $@
243
244 distclean-hdr:
245     -rm -f config.h stamp-h1
246
247 # This directory's subdirectories are mostly independent; you can cd
248 # into them and run `make' without going through this Makefile.
249 # To change the values of `make' variables: instead of editing Makefiles,
250 # (1) if the variable is set in `config.status', edit `config.status'
251 #     (which will cause the Makefiles to be regenerated when you run `make');
252 # (2) otherwise, pass the desired values on the `make' command line.
253 $(RECURSIVE_TARGETS):
254     @fail= failcom='exit 1'; \
255     for f in x $$MAKEFLAGS; do \
256       case $$f in \
257         *=* | --[!k]*);; \
258         *k*) failcom='fail=yes';; \
259       esac; \
260     done; \
261     dot_seen=no; \
262     target=`echo $@ | sed s/-recursive//`; \
263     list='$(SUBDIRS)'; for subdir in $$list; do \
264       echo "Making $$target in $$subdir"; \
265       if test "$$subdir" = "."; then \
266         dot_seen=yes; \
267         local_target="$$target-am"; \
268       else \
269         local_target="$$target"; \
270       fi; \
271       ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
272       || eval $$failcom; \
273     done; \
274     if test "$$dot_seen" = "no"; then \
275       $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
276     fi; test -z "$$fail"
277
278 $(RECURSIVE_CLEAN_TARGETS):
279     @fail= failcom='exit 1'; \
280     for f in x $$MAKEFLAGS; do \
281       case $$f in \
282         *=* | --[!k]*);; \
283         *k*) failcom='fail=yes';; \
284       esac; \
285     done; \
286     dot_seen=no; \
287     case "$@" in \
288       distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
289       *) list='$(SUBDIRS)' ;; \
290     esac; \
291     rev=''; for subdir in $$list; do \
292       if test "$$subdir" = "."; then :; else \
293         rev="$$subdir $$rev"; \
294       fi; \
295     done; \
296     rev="$$rev ."; \
297     target=`echo $@ | sed s/-recursive//`; \
298     for subdir in $$rev; do \
299       echo "Making $$target in $$subdir"; \
300       if test "$$subdir" = "."; then \
301         local_target="$$target-am"; \
302       else \
303         local_target="$$target"; \
304       fi; \
305       ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
306       || eval $$failcom; \
307     done && test -z "$$fail"
308 tags-recursive:
309     list='$(SUBDIRS)'; for subdir in $$list; do \
310       test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
311     done
312 ctags-recursive:
313     list='$(SUBDIRS)'; for subdir in $$list; do \
314       test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
315     done
316
317 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
318     list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
319     unique=`for i in $$list; do \
320         if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
321       done | \
322       $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
323           END { if (nonempty) { for (i in files) print i; }; }'`; \
324     mkid -fID $$unique
325 tags: TAGS
326
327 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
328         $(TAGS_FILES) $(LISP)
329     set x; \
330     here=`pwd`; \
331     if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
332       include_option=--etags-include; \
333       empty_fix=.; \
334     else \
335       include_option=--include; \
336       empty_fix=; \
337     fi; \
338     list='$(SUBDIRS)'; for subdir in $$list; do \
339       if test "$$subdir" = .; then :; else \
340         test ! -f $$subdir/TAGS || \
341           set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
342       fi; \
343     done; \
344     list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
345     unique=`for i in $$list; do \
346         if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
347       done | \
348       $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
349           END { if (nonempty) { for (i in files) print i; }; }'`; \
350     shift; \
351     if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
352       test -n "$$unique" || unique=$$empty_fix; \
353       if test $$# -gt 0; then \
354         $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
355           "$$@" $$unique; \
356       else \
357         $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
358           $$unique; \
359       fi; \
360     fi
361 ctags: CTAGS
362 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
363         $(TAGS_FILES) $(LISP)
364     list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
365     unique=`for i in $$list; do \
366         if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
367       done | \
368       $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
369           END { if (nonempty) { for (i in files) print i; }; }'`; \
370     test -z "$(CTAGS_ARGS)$$unique" \
371       || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
372          $$unique
373
374 GTAGS:
375     here=`$(am__cd) $(top_builddir) && pwd` \
376       && $(am__cd) $(top_srcdir) \
377       && gtags -i $(GTAGS_ARGS) "$$here"
378
379 distclean-tags:
380     -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
381
382 distdir: $(DISTFILES)
383     $(am__remove_distdir)
384     test -d "$(distdir)" || mkdir "$(distdir)"
385     @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
386     topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
387     list='$(DISTFILES)'; \
388       dist_files=`for file in $$list; do echo $$file; done | \
389       sed -e "s|^$$srcdirstrip/||;t" \
390           -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
391     case $$dist_files in \
392       */*) $(MKDIR_P) `echo "$$dist_files" | \
393                sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
394                sort -u` ;; \
395     esac; \
396     for file in $$dist_files; do \
397       if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
398       if test -d $$d/$$file; then \
399         dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
400         if test -d "$(distdir)/$$file"; then \
401           find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
402         fi; \
403         if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
404           cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
405           find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
406         fi; \
407         cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
408       else \
409         test -f "$(distdir)/$$file" \
410         || cp -p $$d/$$file "$(distdir)/$$file" \
411         || exit 1; \
412       fi; \
413     done
414     @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
415       if test "$$subdir" = .; then :; else \
416         test -d "$(distdir)/$$subdir" \
417         || $(MKDIR_P) "$(distdir)/$$subdir" \
418         || exit 1; \
419       fi; \
420     done
421     @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
422       if test "$$subdir" = .; then :; else \
423         dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
424         $(am__relativize); \
425         new_distdir=$$reldir; \
426         dir1=$$subdir; dir2="$(top_distdir)"; \
427         $(am__relativize); \
428         new_top_distdir=$$reldir; \
429         echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
430         echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
431         ($(am__cd) $$subdir && \
432           $(MAKE) $(AM_MAKEFLAGS) \
433             top_distdir="$$new_top_distdir" \
434             distdir="$$new_distdir" \
435         am__remove_distdir=: \
436         am__skip_length_check=: \
437         am__skip_mode_fix=: \
438             distdir) \
439           || exit 1; \
440       fi; \
441     done
442     -test -n "$(am__skip_mode_fix)" \
443     || find "$(distdir)" -type d ! -perm -755 \
444         -exec chmod u+rwx,go+rx {} \; -o \
445       ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
446       ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
447       ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
448     || chmod -R a+r "$(distdir)"
449 dist-gzip: distdir
450     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
451     $(am__remove_distdir)
452
453 dist-bzip2: distdir
454     tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
455     $(am__remove_distdir)
456
457 dist-lzip: distdir
458     tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
459     $(am__remove_distdir)
460
461 dist-lzma: distdir
462     tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
463     $(am__remove_distdir)
464
465 dist-xz: distdir
466     tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
467     $(am__remove_distdir)
468
469 dist-tarZ: distdir
470     tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
471     $(am__remove_distdir)
472
473 dist-shar: distdir
474     shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
475     $(am__remove_distdir)
476
477 dist-zip: distdir
478     -rm -f $(distdir).zip
479     zip -rq $(distdir).zip $(distdir)
480     $(am__remove_distdir)
481
482 dist dist-all: distdir
483     tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
484     $(am__remove_distdir)
485
486 # This target untars the dist file and tries a VPATH configuration.  Then
487 # it guarantees that the distribution is self-contained by making another
488 # tarfile.
489 distcheck: dist
490     case '$(DIST_ARCHIVES)' in \
491     *.tar.gz*) \
492       GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
493     *.tar.bz2*) \
494       bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
495     *.tar.lzma*) \
496       lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
497     *.tar.lz*) \
498       lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
499     *.tar.xz*) \
500       xz -dc $(distdir).tar.xz | $(am__untar) ;;\
501     *.tar.Z*) \
502       uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
503     *.shar.gz*) \
504       GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
505     *.zip*) \
506       unzip $(distdir).zip ;;\
507     esac
508     chmod -R a-w $(distdir); chmod a+w $(distdir)
509     mkdir $(distdir)/_build
510     mkdir $(distdir)/_inst
511     chmod a-w $(distdir)
512     test -d $(distdir)/_build || exit 0; \
513     dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
514       && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
515       && am__cwd=`pwd` \
516       && $(am__cd) $(distdir)/_build \
517       && ../configure --srcdir=.. --prefix="$$dc_install_base" \
518         $(AM_DISTCHECK_CONFIGURE_FLAGS) \
519         $(DISTCHECK_CONFIGURE_FLAGS) \
520       && $(MAKE) $(AM_MAKEFLAGS) \
521       && $(MAKE) $(AM_MAKEFLAGS) dvi \
522       && $(MAKE) $(AM_MAKEFLAGS) check \
523       && $(MAKE) $(AM_MAKEFLAGS) install \
524       && $(MAKE) $(AM_MAKEFLAGS) installcheck \
525       && $(MAKE) $(AM_MAKEFLAGS) uninstall \
526       && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
527             distuninstallcheck \
528       && chmod -R a-w "$$dc_install_base" \
529       && ({ \
530            (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
531            && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
532            && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
533            && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
534                 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
535           } || { rm -rf "$$dc_destdir"; exit 1; }) \
536       && rm -rf "$$dc_destdir" \
537       && $(MAKE) $(AM_MAKEFLAGS) dist \
538       && rm -rf $(DIST_ARCHIVES) \
539       && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
540       && cd "$$am__cwd" \
541       || exit 1
542     $(am__remove_distdir)
543     @(echo "$(distdir) archives ready for distribution: "; \
544       list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
545       sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
546 distuninstallcheck:
547     @test -n '$(distuninstallcheck_dir)' || { \
548       echo 'ERROR: trying to run $@ with an empty' \
549            '$$(distuninstallcheck_dir)' >&2; \
550       exit 1; \
551     }; \
552     $(am__cd) '$(distuninstallcheck_dir)' || { \
553       echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
554       exit 1; \
555     }; \
556     test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
557        || { echo "ERROR: files left after uninstall:" ; \
558             if test -n "$(DESTDIR)"; then \
559               echo "  (check DESTDIR support)"; \
560             fi ; \
561             $(distuninstallcheck_listfiles) ; \
562             exit 1; } >&2
563 distcleancheck: distclean
564     @if test '$(srcdir)' = . ; then \
565       echo "ERROR: distcleancheck can only run from a VPATH build" ; \
566       exit 1 ; \
567     fi
568     @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
569       || { echo "ERROR: files left in build directory after distclean:" ; \
570            $(distcleancheck_listfiles) ; \
571            exit 1; } >&2
572 check-am: all-am
573 check: check-recursive
574 all-am: Makefile config.h
575 installdirs: installdirs-recursive
576 installdirs-am:
577 install: install-recursive
578 install-exec: install-exec-recursive
579 install-data: install-data-recursive
580 uninstall: uninstall-recursive
581
582 install-am: all-am
583     @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
584
585 installcheck: installcheck-recursive
586 install-strip:
587     if test -z '$(STRIP)'; then \
588       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
589         install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
590           install; \
591     else \
592       $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
593         install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
594         "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
595     fi
596 mostlyclean-generic:
597
598 clean-generic:
599
600 distclean-generic:
601     -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
602     -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
603
604 maintainer-clean-generic:
605     @echo "This command is intended for maintainers to use"
606     @echo "it deletes files that may require special tools to rebuild."
607 clean: clean-recursive
608
609 clean-am: clean-generic mostlyclean-am
610
611 distclean: distclean-recursive
612     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
613     -rm -f Makefile
614 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
615
616 dvi: dvi-recursive
617
618 dvi-am:
619
620 html: html-recursive
621
622 html-am:
623
624 info: info-recursive
625
626 info-am:
627
628 install-data-am:
629
630 install-dvi: install-dvi-recursive
631
632 install-dvi-am:
633
634 install-exec-am:
635
636 install-html: install-html-recursive
637
638 install-html-am:
639
640 install-info: install-info-recursive
641
642 install-info-am:
643
644 install-man:
645
646 install-pdf: install-pdf-recursive
647
648 install-pdf-am:
649
650 install-ps: install-ps-recursive
651
652 install-ps-am:
653
654 installcheck-am:
655
656 maintainer-clean: maintainer-clean-recursive
657     -rm -f $(am__CONFIG_DISTCLEAN_FILES)
658     -rm -rf $(top_srcdir)/autom4te.cache
659     -rm -f Makefile
660 maintainer-clean-am: distclean-am maintainer-clean-generic
661
662 mostlyclean: mostlyclean-recursive
663
664 mostlyclean-am: mostlyclean-generic
665
666 pdf: pdf-recursive
667
668 pdf-am:
669
670 ps: ps-recursive
671
672 ps-am:
673
674 uninstall-am:
675
676 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
677     ctags-recursive install-am install-strip tags-recursive
678
679 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
680     all all-am am--refresh check check-am clean clean-generic \
681     ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
682     dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
683     distcheck distclean distclean-generic distclean-hdr \
684     distclean-tags distcleancheck distdir distuninstallcheck dvi \
685     dvi-am html html-am info info-am install install-am \
686     install-data install-data-am install-dvi install-dvi-am \
687     install-exec install-exec-am install-html install-html-am \
688     install-info install-info-am install-man install-pdf \
689     install-pdf-am install-ps install-ps-am install-strip \
690     installcheck installcheck-am installdirs installdirs-am \
691     maintainer-clean maintainer-clean-generic mostlyclean \
692     mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
693     uninstall uninstall-am
694
695
696 # Tell versions [3.59,3.63) of GNU make to not export all variables.
697 # Otherwise a system limit (for SysV at least) may be exceeded.
698 .NOEXPORT: